import { OnInit, TemplateRef } from '@angular/core';
import { SafeAny } from 'ngx-tethys/types';
import { ThyBoardCard, ThyBoardEntry, ThyBoardLane } from '../entities';
import * as i0 from "@angular/core";
export declare class ThyBoardEntryComponent implements OnInit {
    entry: ThyBoardEntry;
    lane: ThyBoardLane | undefined;
    hasLane: boolean;
    virtualScroll: boolean;
    cardTemplateRef: TemplateRef<SafeAny> | null;
    entryBodyFooter: TemplateRef<SafeAny> | null;
    constructor();
    ngOnInit(): void;
    scrolledIndexChange(): void;
    cdkDropListEnterPredicate: () => void;
    trackByFn(index: number, item: ThyBoardCard): string | number;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyBoardEntryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThyBoardEntryComponent, "thy-board-entry", never, { "entry": { "alias": "entry"; "required": true; }; "lane": { "alias": "lane"; "required": false; }; "hasLane": { "alias": "hasLane"; "required": false; }; "virtualScroll": { "alias": "virtualScroll"; "required": false; }; "cardTemplateRef": { "alias": "cardTemplateRef"; "required": false; }; "entryBodyFooter": { "alias": "entryBodyFooter"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_virtualScroll: unknown;
}
//# sourceMappingURL=entry.component.d.ts.map