import { OnInit, QueryList, TemplateRef } from '@angular/core';
import { Route, ThyGlobalStore } from '@tethys/pro/core';
import { ThyProLayoutMenu, ThyProLayoutMenus } from '../layout.entity';
import { ThyPopoverDirective } from 'ngx-tethys/popover';
import { SafeAny } from 'ngx-tethys/types';
import * as i0 from "@angular/core";
export declare class ThyProSidebarComponent implements OnInit {
    globalStore: ThyGlobalStore;
    menus: ThyProLayoutMenus;
    logo: string;
    title: string;
    set isCollapsed(value: boolean);
    headerTemplate: TemplateRef<SafeAny>;
    menuTemplate: TemplateRef<SafeAny>;
    footerTemplate: TemplateRef<SafeAny>;
    currentRootMenuGroup: ThyProLayoutMenu;
    sidebarCollapsed: boolean;
    menuGroupElement: HTMLElement;
    menuPopovers: QueryList<ThyPopoverDirective>;
    constructor(globalStore: ThyGlobalStore);
    ngOnInit(): void;
    getMenuGroupElement(event: MouseEvent): void;
    initCurrentMenuGroup(): void;
    setActiveMenu(menuGroup: ThyProLayoutMenu, activeLinkMenu: Route): void;
    menuGroupCollapsedChange(isCollapsed: boolean, menuGroup: ThyProLayoutMenu): void;
    changeMenuGroupCollapsed(menuGroup: ThyProLayoutMenu, isCollapsed: boolean): void;
    getCurrentRootMenuGroup(activeRoute: Route): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyProSidebarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThyProSidebarComponent, "thy-pro-sidebar", never, { "menus": { "alias": "menus"; "required": false; }; "logo": { "alias": "logo"; "required": false; }; "title": { "alias": "title"; "required": false; }; "isCollapsed": { "alias": "isCollapsed"; "required": false; }; "headerTemplate": { "alias": "headerTemplate"; "required": false; }; "menuTemplate": { "alias": "menuTemplate"; "required": false; }; "footerTemplate": { "alias": "footerTemplate"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=sidebar.component.d.ts.map