import { OnInit, TemplateRef } from '@angular/core';
import { ThyBoardEntry, ThyBoardLane } from '../entities';
import * as i0 from "@angular/core";
export declare class ThyBoardLaneComponent implements OnInit {
    isBatchOperation: boolean;
    swimlaneLength: number;
    lane: ThyBoardLane | undefined;
    entries: import("@angular/core").InputSignal<ThyBoardEntry[]>;
    isExpanded: boolean;
    hasLane: boolean;
    virtualScroll: boolean;
    laneTemplateRef: TemplateRef<any> | null;
    cardTemplateRef: TemplateRef<any> | null;
    constructor();
    ngOnInit(): void;
    switchSwimlaneExpand(): void;
    expand(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyBoardLaneComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThyBoardLaneComponent, "thy-board-lane", never, { "lane": { "alias": "lane"; "required": false; }; "entries": { "alias": "entries"; "required": true; "isSignal": true; }; "isExpanded": { "alias": "isExpanded"; "required": false; }; "hasLane": { "alias": "hasLane"; "required": false; }; "virtualScroll": { "alias": "virtualScroll"; "required": false; }; "laneTemplateRef": { "alias": "laneTemplateRef"; "required": false; }; "cardTemplateRef": { "alias": "cardTemplateRef"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_isExpanded: unknown;
    static ngAcceptInputType_hasLane: unknown;
    static ngAcceptInputType_virtualScroll: unknown;
}
//# sourceMappingURL=lane.component.d.ts.map